<?php
if(!defined('INDEX')) { header('Location: ../'); exit; }
$titre = 'Flottes';

if (!empty($_POST['cds']) && !empty($_POST['nomflotte']) && isset($_POST['amas']) && !empty($_POST['ss']) && !empty($_POST['pos']) && !empty($_POST['vitesse']) && isset($_POST['mission']) && isset($_POST['metal']) && isset($_POST['cristal']) && isset($_POST['hydrogene'])) {
	$end_galaxie = floor($_POST['amas']);
	$end_ss = floor($_POST['ss']);
	$end_pos = floor($_POST['pos']);
	$mission = floor($_POST['mission']);
	if (isset($_POST['tactique'])) $tactique = floor($_POST['tactique']);
	else $tactique = 0;
	$EBmetal = floor($_POST['metal']);
	$EBcristal = floor($_POST['cristal']);
	$EBhydrogene = floor($_POST['hydrogene']);
	$vitesse = floor($_POST['vitesse'])/100;

	$bdd->connexion();
	$bdd->escape($end_galaxie);
	$bdd->escape($end_ss);
	$bdd->escape($end_pos);
	$bdd->escape($mission);
	$bdd->escape($tactique);
	$bdd->escape($EBmetal);
	$bdd->escape($EBcristal);
	$bdd->escape($EBhydrogene);
	$bdd->escape($vitesse);
	$resultat = $bdd->query("SELECT id FROM $table_flottes WHERE id_user = '$id_user'");
	$nbr = $bdd->num_rows;

	//Vérification du code anti-bots
	if ($_POST['cds'] != $sess->values['flcds']) erreur('Impossible d\'authentifier l\'envoie de la flotte.<br />Si le problème perciste, <a href="mailto:technique@halo-battle.s-fr.com">contactez un administrateur</a>.', "red", '?p=flotte', 4000);
	//Si la mission est d'attaquer, on vérifie que les attaques ne soient pas désactivées
	elseif ($mission == 1 && !ATTAQUES) erreur('Les attaques sont désactivées pour le moment. Pour plus d\'informations, <a href="http://halo-battle.s-fr.com/forum/">consultez le forum</a>.', "red", '?p=flotte', 5000);
	//Vérification que la destination ne soit pas en dehors de la galaxie
	elseif ($end_galaxie > MAX_AMAS || $end_ss > MAX_SYSTEME || $end_pos > MAX_PLANETE || $end_galaxie < 0 || $end_ss < 1 || $end_pos < 1 || ($end_galaxie < 1 && $sess->values['auth_level'] < 6)) erreur('La destination de la flotte n\'est pas correcte.', "red", '?p=flotte');
	//Vérification que le nombre de slots ne soit pas dépassé
	elseif ($nbr > $queryUser['informatique']) erreur('Vous n\'avez pas assez de slots disponibles.', "red", '?p=flotte');
	//On vérifie la mission
	elseif ($mission < 0 || $mission > 5) erreur('Mission incorrecte !', "red", '?p=flotte');
	//Si la mission est d'attaquer, on vérifie la tactique
	elseif ($mission == 1 && $tactique > $queryUser['tactique']) erreur('Vous ne connaissez pas cette tactique de combat !', "red", '?p=flotte');
	//On vérifie la mission, si elle est d'espionner, il faut qu'il y ait des sondes
	elseif ($mission == 5 && (!isset($sess->values['vais'][4]) || $sess->values['vais'][4] < 0)) erreur('Vous ne pouvez pas espionner sans sonde d\'espionnage !', "red", '?p=flotte');
	//On vérifie la mission, si elle est de coloniser, il faut qu'il y ait des vaisseaux de colonisation
	elseif ($mission == 3 && (!isset($sess->values['vais'][3]) || $sess->values['vais'][3] < 0)) erreur('Vous ne pouvez pas coloniser sans vaisseau de colonisation !', "red", '?p=flotte');
	//On vérifie la mission, si elle est de recycler, il faut qu'il y ait des reclycleurs
	elseif ($mission == 4 && (!isset($sess->values['vais'][5]) || $sess->values['vais'][5] < 0)) erreur('Vous ne pouvez pas recycler sans recycleur !', "red", '?p=flotte');
	//On vérifie que l'on possède assez de ressources
	elseif ((!empty($EBmetal) && !$EBmetal > $queryPlanete['metal']) || (!empty($EBcristal) && !$EBcristal > $queryPlanete['cristal']) || (!empty($EBhydrogene) && !$EBhydrogene > $queryPlanete['hydrogene'])) erreur('Vous ne pouvez pas envoyer plus de ressources que vous n\'en posséder.', "red", '?p=flotte');
	//On vérifie que l'on n'envoie pas des ressources négatives
	elseif ((!empty($EBmetal) && $EBmetal < 0) || (!empty($EBcristal) && $EBcristal < 0) || (!empty($EBhydrogene) && $EBhydrogene < 0)) erreur('Vous avez spécifié des valeurs de ressources à embarquer incorrectes !', "red", '?p=flotte', 4000);
	//On vérifie la vitesse du vaisseau
	elseif (!is_numeric($vitesse) || $vitesse < 0 || $vitesse > 100) erreur('La vitesse de votre flotte est incorrecte !', "red", '?p=flotte');
	else {
		$resultat = $bdd->unique_query("SELECT * FROM $table_planete WHERE galaxie = '$end_galaxie' AND ss = '$end_ss' AND position = '$end_pos';");

		//On vérifie qu'il n'y ait pas une interaction entre deux multi-comptes
		$cnt = count($multi);
		if ($cnt > 1 && $mission == 2) {
			for($i = 0; $i < $cnt; $i++){
				if ($multi[$i]['id_util'] == $resultat['id_user']) erreur('Vous ne pouvez pas avoir d\'interaction avec ce joueur pour raison de multi-compte (voir page d\'accueil).');
			}
		}

		//Si la mission est d'attaquer, on vérifie que le joueur cible ne soit pas ne mode vacances
		if ($mission == 1) {
			//Récupération de l'ID du joueur cible
			$rech_user = $resultat['id_user'];
			$resultatu = $bdd->unique_query("SELECT * FROM $table_user WHERE id = '$rech_user';");
			if ($resultatu['mv'] != 0) erreur('Le joueur que vous tentez d\'attaquer est actuellement en mode vacances, vous ne pouvez donc pas l\'attaquer avant son retour de vacances.', "red", '?p=flotte', 3000);
			elseif ($resultatu['time_inscription'] + 604800 > time()) erreur('Le joueur que vous tentez d\'attaquer s\'est inscrit récemment, laissez-lui le temps de se préparer au combat !', "red", '?p=flotte', 3000);
			elseif (!$resultat) erreur('La planète que vous tentez d\'attaquer est inhabitée.', "red", '?p=flotte');
			elseif ($resultat['id_user'] == $id_user) erreur('La planète que vous tentez d\'attaquer vous appartient.', "red", '?p=flotte');
		}
		elseif ($mission == 2 && !$resultat) erreur('Impossible de transporter des ressources vers la planète ['.$end_galaxie.':'.$end_ss.':'.$end_pos.'] car elle est inhabitée.', "red", '?p=flotte', 4000);
		elseif ($mission == 3 && $resultat) erreur('La planète que vous voulez coloniser est déjà habitée.', "red", '?p=flotte', 3000);
		elseif ($mission == 0 && $resultat['id_user'] != $id_user) erreur('La planète sur laquelle vous désirez stationner ne vous appartient pas.', "red", '?p=flotte', 3000);
		elseif ($mission == 4 && ($resultat['debris_met'] <= 0 || $resultat['debris_cri'] <= 0) && empty($sess->values['forceFlotte'])) {
			$sess->values['forceFlotte'] = true;
			$sess->put();
			erreur('Il n\'y a rien à recycler sur la planète ['.$end_galaxie.':'.$end_ss.':'.$end_pos.'].<br />Vous pouvez forcer le lancement de la flotte en rechargeant cette page.', "orange");
		}

		//Création de la flotte
		$req = '';
		$reqb = '';
		$reqPlan = '';
		$nbVais = '';
		$nbI = count($nomvaisa);
		for ($i=1 ; $i<=$nbI ; $i++) {
			if (!empty($sess->values['vais'][$i])) {
				if ($sess->values['vais'][$i] > $queryPlanete['vaisseau_'.$i]) erreur('Vous avez envoyé plus de vaisseaux que vous n\'en posséder sur cette planète.', "red", '?p=flotte');
				else {
					$req .= "'".$sess->values['vais'][$i]."', ";
					$reqb .= "vaisseau_$i, ";
					if (!empty($reqPlan)) $reqPlan .= ', ';
					$reqPlan .= "vaisseau_$i = vaisseau_$i - '".$sess->values['vais'][$i]."'";
					$nbVais += $sess->values['vais'][$i];
				}
			}
		}
		if ($nbVais <= 0) erreur('Vous devez envoyer au moins un vaisseau pour former une flotte !', "red", '?p=flotte');
		elseif ($sess->values['flnbvais'] != $nbVais) erreur('Une erreur est survenue lors de la création de la flotte :<br /><br /><i>Calcul du nombre de vaisseaux incorrect !</i><br /><br />Si le problème perciste, <a href="mailto:'.$config['mailadmin'].'">contactez un administrateur</a>.', "red", '?p=flotte', 4500);
		else {
			//Envoie de la flotte
			$nom = $_POST['nomflotte'];
			$bdd->escape($nom);

			$start_time = time();
			$start_galaxie = $queryPlanete['galaxie'];
			$start_ss = $queryPlanete['ss'];
			$start_pos = $queryPlanete['position'];

			$end_time = vais_tempsDeplacement($start_galaxie, $start_ss, $start_pos, $end_galaxie, $end_ss, $end_pos, $sess->values['flvitesse'], $vitesse, $sess->values['flpreparation'], $sess->values['flchauffe']);
			if ($end_time <= 0) {
				$end_time = 454;
			}

			//On vérifie qu'il y a assez de place dans les cales des vaisseaux avant l'envoie
			$conso = vais_conso($end_time, $nbVais)*$vitesse/45*2;
			$contenu_metal = $_POST['metal']; $bdd->escape($contenu_metal); $plan_metal = $queryPlanete['metal'] - $contenu_metal;
			$contenu_cristal = $_POST['cristal']; $bdd->escape($contenu_cristal); $plan_cristal = $queryPlanete['cristal'] - $contenu_cristal;
			$contenu_hydrogene = $_POST['hydrogene']; $bdd->escape($contenu_hydrogene); $plan_hydrogene = $queryPlanete['hydrogene'] - $contenu_hydrogene - $conso;
			$contenu_max = $sess->values['flcontenu'];
			if ($contenu_metal + $contenu_cristal + $contenu_hydrogene + $conso > $contenu_max && $contenu_metal + $contenu_cristal + $contenu_hydrogene != 0) erreur('Vous ne pouvez pas embarquer autant de ressources, les cales débordent.', "red", '?p=flotte', 3500);
			elseif ($plan_metal < 0 || $plan_cristal < 0 || $plan_hydrogene < 0) erreur('Vous n\'avez pas assez de ressources sur cette planète pour envoyer cette flotte.', "red", '?p=flotte', 3500);
			else {
				if ($mission == 1) {
					$tactiqueAT = $_POST['tactique'];
					$bdd->escape($tactiqueAT);
					$tactiqueEN = $resultatu['tactique'];
					$bdd->escape($tactiqueEN);
				}
				else {
					$tactiqueAT = 0;
					$tactiqueEN = 0;
				}

				$bdd->query("INSERT INTO $table_flottes (id_user, mission, start_time, start_galaxie, start_ss, start_position, end_time, end_galaxie, end_ss, end_position, vitesse, contenu_metal, contenu_cristal, contenu_hydrogene, contenu_max, nb_vais, $reqb tactiqueAT, tactiqueEN, nom) VALUES ($id_user, '$mission', '$start_time', '$start_galaxie', '$start_ss', '$start_pos', '$end_time', '$end_galaxie', '$end_ss', '$end_pos', '$vitesse', '$contenu_metal', '$contenu_cristal', '$contenu_hydrogene', '$contenu_max', '$nbVais', $req'$tactiqueAT', '$tactiqueEN', '$nom');");
				$bdd->query("UPDATE $table_planete SET $reqPlan, metal = '$plan_metal', cristal = '$plan_cristal', hydrogene = '$plan_hydrogene' WHERE id = '$idPlan' LIMIT 1 ;");
				$bdd->deconnexion();

				unset($sess->values['vais']);
				$sess->put();

				erreur('Votre flotte a été envoyée avec succès.', "green", '?p=flotte', 4000);
			}
		}
	}
}
elseif (!empty($_POST['v1']) || !empty($_POST['v2']) || !empty($_POST['v3']) || !empty($_POST['v4']) || !empty($_POST['v5']) || !empty($_POST['v6']) || !empty($_POST['v7']) || !empty($_POST['v8']) || !empty($_POST['v9']) || !empty($_POST['v10']) || !empty($_POST['v11']) || !empty($_POST['v12'])) {
	$nombreVaisseau = 0;
	for ($i=1 ; $i<=12 ; $i++) {
		if (!isset($_POST['v'.$i]) || !is_numeric($_POST['v'.$i]) || $_POST['v'.$i] != abs(floor($_POST['v'.$i]))) $_POST['v'.$i] = 0;
		if ($_POST['v'.$i] >= 0 && $i != 11) {
			$sess->values['vais'][$i] = $_POST['v'.$i];
			$nombreVaisseau += $_POST['v'.$i];
			//Si on indique un nombre de vaisseaux supérieur au nombre présent sur la planète
			if ($_POST['v'.$i] > $queryPlanete['vaisseau_'.$i]) erreur('Il ne vous reste plus assez de vaisseaux !', "red", '?p=flotte');
		}
	}
	$sess->values['flnbvais'] = $nombreVaisseau;
	$sess->values['forceFlotte'] = false;

	//On vérifie que l'utilisateur a bien envoyé plus d'un vaisseau
	if ($nombreVaisseau <= 0) erreur('Vous devez envoyer au moins un vaisseau.', "red", '?p=flotte');

	//On ajoute des missions supplémentaire suivant les vaisseaux envoyés
	$lvltactique = $queryUser['tactique'];
	$actionsupp = '';
	if ($lvltactique >= 1) $actionsupp .= '<option value="1" selected="selected">Attaquer</option>';
	if ($_POST['v3'] >= 1) $actionsupp .= '<option value="3" selected="selected">Coloniser</option>';
	if ($_POST['v5'] >= 1) $actionsupp .= '<option value="4" selected="selected">Recycler</option>';
	if ($_POST['v4'] >= 1) $actionsupp .= '<option value="5" selected="selected">Espionner</option>';
	$template->assign('actionsupp', $actionsupp);

	// Définition des paramètres de la flotte
	$AvaisType = array(); $AvaisVitesseC = array(); $AvaisVitesseL = array(); $AvaisPrepC = array(); $AvaisPrepL = array(); $AvaisChauffe = array(); $AvaisContenu = 0;
	for ($i=1 ; $i<=12 ; $i++) {
		$AvaisType[] = $i;
		$AvaisVitesseC[] = $nomvais_dc[$i-1];
		$AvaisVitesseL[] = $nomvais_dl[$i-1];
		$AvaisContenu += $nomvais_rs[$i-1] * $_POST['v'.$i];
		$AvaisPrepC[] = $nomvais_pdc[$i-1].' ';
		$AvaisPrepL[] = $nomvais_pdl[$i-1].' ';
		$AvaisChauffe[] = $nomvais_cdl[$i-1].' ';
	}
	if(min($AvaisVitesseL) != 0) {
		$sess->values['flvitesse'] = max($AvaisVitesseL);
		$sess->values['flpreparation'] = max($AvaisPrepL);
		$sess->values['flchauffe'] = max($AvaisChauffe);
	}
	else {
		$sess->values['flvitesse'] = max($AvaisVitesseC);
		$sess->values['flpreparation'] = max($AvaisPrepC);
		$sess->values['flchauffe'] = 0;
	}
	$sess->values['fltime'] = time();
	$sess->values['flcontenu'] = $AvaisContenu;

	//On enregistre les modification de la session
	$sess->put();

	$page = 'flotte2';
	$template->assign('scripth', '<script src="js/prototype.js" type="text/javascript"></script>');
	$template->assign('script', '<script type="text/javascript">document.getElementById(\'nom\').focus();</script><script src="js/flotte.js" type="text/javascript"></script>');
	$fav = explode(';', $queryUser['destinationsFavoris']);
	$cntfav = count($fav);
	$favoris = array();
	$favorisn = array();
	$bdd->connexion();
	for($i = 0; $i < $cntfav; $i++){
		$res = $bdd->unique_query("SELECT nom_planete, galaxie, ss, position FROM $table_planete WHERE id = ".$fav[$i].";");
		if ($res != false) {
			if (!empty($res['nom_planete'])) $favoris[] = $res['nom_planete'];
			else $favoris[] = '['.$res['galaxie'].':'.$res['ss'].':'.$res['position'].']';
			$favorisn[] = $fav[$i];
		}
	}
	$bdd->deconnexion();
	$template->assign('favoris', $favoris);
	$template->assign('favorisn', $favorisn);
	$favorisC = array();
	$favorisnC = array();
	$cntfav = count($queryPlanetes);
	for($i = 0; $i < $cntfav; $i++){
		if (!empty($queryPlanetes[$i]['nom_planete'])) $favorisC[] = $queryPlanetes[$i]['nom_planete'];
		else $favorisC[] = '['.$queryPlanetes[$i]['galaxie'].':'.$queryPlanetes[$i]['ss'].':'.$queryPlanetes[$i]['position'].']';
		$favorisnC[] = $queryPlanetes[$i]['id'];
	}
	$template->assign('favorisColonies', $favorisC);
	$template->assign('favorisnColonies', $favorisnC);
}
elseif (!empty($_GET['n'])) {
	$idN = ceil($_GET['n']);
	$bdd->connexion();
	$bdd->escape($idN);
	$resultat = $bdd->unique_query("SELECT * FROM $table_flottes WHERE id_user = '$id_user' AND id = '$idN'");
	if (isset($_GET['a']) && isset($sess->values['ret_fleet']) && $_GET['a'] == $sess->values['ret_fleet']) {
		//Calcul du temps passé depuis le lancement de la flotte
		$tpsDD = time() - $resultat['start_time'];
		if ($resultat['mission'] == '6') erreur('Votre flotte est déjà en train de revenir !', 'red', '?p=flotte&n='.$idN, 1500);
		elseif ($resultat['end_time'] > $tpsDD) {
			$bdd->query("UPDATE $table_flottes SET mission = '6', effectue = '1', end_time = '$tpsDD', end_galaxie = start_galaxie, end_ss = start_ss, end_position = start_position WHERE id_user = '$id_user' AND id = '$idN';");
			header('Location: ?p=flotte&n='.$idN);
			exit;
		}
		else erreur('Impossible d\'annuler la mission, elle a déjà commencée.', "red", '?p=flotte&n='.$idN, 1500);
	}

	$page = 'flotten';
	if ($bdd->num_rows <= 0) erreur('Impossible de trouver cette flotte !', "red", '?p=flotte', 1500);
	else {
		$attaque = gpc('attaque', 'post');
		$nom = gpc('nomflotte', 'post');
		if (!empty($nom)) {
			$bdd->escape($nom);
			$bdd->unique_query("UPDATE $table_flottes SET nom = '$nom' WHERE id_user = $id_user AND id = '$idN' LIMIT 1;");
			$resultat['nom'] = $nom;
		}
		if (!empty($attaque) && is_numeric($attaque)) {
			if ($attaque <= $queryUser['tactique']) {
				$bdd->escape($attaque);
				$bdd->query("UPDATE $table_flottes SET tactiqueAT = $attaque WHERE id_user = $id_user AND id = '$idN';");
				$bdd->deconnexion();
				erreur('Tactique mise à jour avec succès.', 'green', '?p=flotte&n='.$idN, 1100);
			}
			else erreur('Veuillez sélectionner les tactiques dans la liste !', 'red', '?p=flotte&n='.$idN);
		}
		$bdd->deconnexion();
		$resultat['contenu_metalF'] = separerNombres($resultat['contenu_metal']);
		$resultat['contenu_cristalF'] = separerNombres($resultat['contenu_cristal']);
		$resultat['contenu_hydrogeneF'] = separerNombres($resultat['contenu_hydrogene']);
		$resultat['contenu_maxF'] = separerNombres($resultat['contenu_max']);
		$resultat['missionF'] = txtmission($resultat['mission']);
		$resultat['tactiqueAtDef'] = txtTactique($queryUser['combatAT_tactique']);
		$resultat['tactiqueF'] = txtTactique($resultat['tactiqueAT']);
		$resultat['end_timeT'] = $resultat['start_time'] + $resultat['end_time'];

		$sess->values['ret_fleet'] = sha1('HB.fleet_'.rand().'☺ß☻');
		$sess->put();

		$template->assign('ret_fleet', $sess->values['ret_fleet']);
		$template->assign('flotte', $resultat);
		$template->assign('nomvais', $nomvaisa);
		$template->assign('n', $idN);

		$tactiques = array();
		$tactiquesn = array();
		$attaqueT = 0;
		for($i=1 ; $i<=$queryUser['tactique'] ; $i++) {
			if ($i == $resultat['tactiqueAT']) $attaqueT = $i;
			$tactiques[] = txtTactique($i);
			$tactiquesn[] = $i;
		}
		$template->assign('tactiques', $tactiques);
		$template->assign('tactiquesn', $tactiquesn);
		$template->assign('attselect', $attaqueT);
	}
}
else {
	//Mise à jour des tactiques par défaut
	$attaque = gpc('attaque', 'post');
	$defense = gpc('defense', 'post');
	if (!empty($attaque) && !empty($defense) && is_numeric($attaque) && is_numeric($defense)) {
		if ($attaque <= $queryUser['tactique'] && $defense <= $queryUser['tactique']) {
			$bdd->connexion();
			$bdd->escape($attaque);
			$bdd->escape($defense);
			$bdd->query("UPDATE $table_user SET combatAT_tactique = $attaque, combatDE_tactique = $defense WHERE id = '$id_user';");
			$bdd->deconnexion();
			erreur('Tactiques mises à jour avec succès.', 'green', '?p=flotte', 1100);
		}
		else erreur('Veuillez sélectionner les tactiques dans la liste !', 'red', '?p=flotte');
	}

	$page = 'flotte1';
	$bdd->connexion();
	$resultat = $bdd->query("SELECT * FROM $table_flottes WHERE id_user = '$id_user';");
	$bdd->deconnexion();
	$nbr = $bdd->num_rows;
	$TEMP_flottesEC = array();
	for ($i=0 ; $i<$nbr ; $i++) {
		if ($resultat[$i]['mission'] != 1 && ($resultat[$i]['mission'] != 3 || $resultat[$i]['effectue'] == '1' || $resultat[$i]['nb_vais'] >= 1) && $resultat[$i]['mission'] != 0) {
			$retour = $resultat[$i]['start_galaxie'].':'.$resultat[$i]['start_ss'].':'.$resultat[$i]['start_position'];
			$Hretour = date('d/m H:i:s',$resultat[$i]['start_time']+2*$resultat[$i]['end_time']);
		}
		elseif ($resultat[$i]['mission'] == 1) {
			$retour = $resultat[$i]['start_galaxie'].':'.$resultat[$i]['start_ss'].':'.$resultat[$i]['start_position'];
			if (empty($resultat[$i]['ret_time'])) $Hretour = '-';
			else $Hretour = date('d/m H:i:s',$resultat[$i]['ret_time']+$resultat[$i]['end_time']);
		}
		else {
			$retour = '-';
			$Hretour = '-';
		}
		$TEMP_flottesEC[] = array($resultat[$i]['id'], $resultat[$i]['nom'], txtmission($resultat[$i]['mission']), $resultat[$i]['nb_vais'], $resultat[$i]['end_galaxie'].':'.$resultat[$i]['end_ss'].':'.$resultat[$i]['end_position'], date('d/m H:i:s',$resultat[$i]['start_time']+$resultat[$i]['end_time']), $retour, $Hretour);
	}
	$template->assign('flottesEC', $TEMP_flottesEC);

	$TEMP_vaisseaux = array();
	$j=0;
	for ($i=1 ; $i<=12 ; $i++) {
		if ($queryPlanete['vaisseau_'.$i] > 0 && $i != 11) {
			$j++;
			$TEMP_vaisseaux[] = array($nomvaisn[$i-1], separerNombres($queryPlanete['vaisseau_'.$i]), $queryPlanete['vaisseau_'.$i], $i);
		}
	}
	$template->assign('vaisseaux', $TEMP_vaisseaux);

	$trez = $queryUser["informatique"] + 1;
		if ($nbr < $trez) $template->assign('action', '<input class="submit" type="submit" value="OK" />');
		else $template->assign('action', '<span class="lack">Nombre de flottes maximum simultanées atteint</span>');

	$template->assign('nbflotte', $nbr);
	$template->assign('nbflottemax', $trez);

	//Modification des tactiques
	$tactiques = array();
	$tactiquesn = array();
	$attaqueT = 0;
	$defenseT = 0;
	for($i=1 ; $i<=$queryUser['tactique'] ; $i++) {
		if ($i == $queryUser['combatAT_tactique']) $attaqueT = $i;
		if ($i == $queryUser['combatDE_tactique']) $defenseT = $i;
		$tactiques[] = txtTactique($i);
		$tactiquesn[] = $i;
	}
	$template->assign('tactiques', $tactiques);
	$template->assign('tactiquesn', $tactiquesn);
	$template->assign('attselect', $attaqueT);
	$template->assign('defselect', $defenseT);
}
?>